;
;	Define the SYS$P1_VECTOR points for VMS system services.
;
;	Each of these represents a location in P1 space where a
;	"hardwired" entry point exists, of the form
;
;		^m<mask>
;		JMP @#<exec-addr>
;
;	To support simulated system services, you must create one
;	of these vector address entry points for each service in
;	the P1 space, and then implement the appropriate code
;
;	Since each vector is 8 bytes, we could also implement as:
;
;		^m<mask>
;		XFC	#XFC$SYSVEC
;		RET
;		NOP
;		NOP
;		NOP
;
;	and have the XFC handler use the PC-2 value to look up what
;	function it is to emulate.
;

.SET SYS$ABORT_RU, 7FFEE640
.SET SYS$ABORT_TRANS, 7FFEE6E0
.SET SYS$ABORT_TRANSW, 7FFEE738
.SET SYS$ACK_EVENT, 7FFEE838
.SET SYS$ADD_BRANCH, 7FFEE708
.SET SYS$ADD_BRANCHW, 7FFEE760
.SET SYS$ADJSTK, 7FFEDE20
.SET SYS$ADJWSL, 7FFEDE28
.SET SYS$ALCDNP, 7FFEDE30
.SET SYS$ALLOC, 7FFEDE38
.SET SYS$ASCEFC, 7FFEDE40
.SET SYS$ASCTIM, 7FFEDE48
.SET SYS$ASCTOID, 7FFEE4B0
.SET SYS$ASCUTC, 7FFEE590
.SET SYS$ASSIGN, 7FFEDE50
.SET SYS$AUDIT_EVENT, 7FFEE8A8
.SET SYS$AUDIT_EVENTW, 7FFEE8B0
.SET SYS$AUDIT_EVENTW_2, 7FFEE8B8
.SET SYS$AUDIT_EVENTW_3, 7FFEE8C0
.SET SYS$BINTIM, 7FFEDE58
.SET SYS$BINUTC, 7FFEE588
.SET SYS$BRDCST, 7FFEE098
.SET SYS$BRKTHRU, 7FFEE4C8
.SET SYS$BRKTHRUW, 7FFEE4E8
.SET SYS$BRKTHRUW_2, 7FFEE4F0
.SET SYS$CALL_HANDL, 80000010
.SET SYS$CALL_HANDL_JACKET, 7FFEE568
.SET SYS$CANCEL, 7FFEDE60
.SET SYS$CANCEL_SELECTIVE, 7FFEE5E8
.SET SYS$CANEVTAST, 7FFEE3B0
.SET SYS$CANEXH, 7FFEE0C0
.SET SYS$CANRNH, 7FFEE528
.SET SYS$CANRUH, 7FFEE650
.SET SYS$CANTIM, 7FFEDE68
.SET SYS$CANWAK, 7FFEDE70
.SET SYS$CFS_SERVICE, 7FFEE5F8
.SET SYS$CHECK_AUDIT, 7FFEE800
.SET SYS$CHECK_PRIVILEGE, 7FFEE8C8
.SET SYS$CHECK_PRIVILEGE2_2, 7FFEE8D8
.SET SYS$CHECK_PRIVILEGE2_3, 7FFEE8E0
.SET SYS$CHECK_PRIVILEGEW, 7FFEE8D0
.SET SYS$CHKPRO, 7FFEE4E0
.SET SYS$CLI, 7FFEDE18
.SET SYS$CLOSE, 7FFEE1B8
.SET SYS$CLRAST, 7FFEE108
.SET SYS$CLRAST_2, 7FFEE110
.SET SYS$CLRCLUEVT, 7FFEE820
.SET SYS$CLREF, 7FFEDE98
.SET SYS$CLRPAR, 7FFEDE80
.SET SYS$CMEXEC, 7FFEDE88
.SET SYS$CMKRNL, 7FFEDE90
.SET SYS$CNTREG, 7FFEDEA0
.SET SYS$COMMIT_RU, 7FFEE638
.SET SYS$CONNECT, 7FFEE1C0
.SET SYS$CREATE, 7FFEE1C8
.SET SYS$CREATE_BRANCH, 7FFEE840
.SET SYS$CREATE_BRANCHW, 7FFEE848
.SET SYS$CREATE_BRANCHW_1, 7FFEE850
.SET SYS$CREATE_BUFOBJ, 7FFEE550
.SET SYS$CREATE_UID, 7FFEE788
.SET SYS$CRELNM, 7FFEE480
.SET SYS$CRELNT, 7FFEE478
.SET SYS$CRELOG, 7FFEDEB0
.SET SYS$CREMBX, 7FFEDEB8
.SET SYS$CREPRC, 7FFEDEC0
.SET SYS$CRETVA, 7FFEDEC8
.SET SYS$CRMPSC, 7FFEDE78
.SET SYS$DACEFC, 7FFEDED0
.SET SYS$DALLOC, 7FFEDED8
.SET SYS$DASSGN, 7FFEDEE0
.SET SYS$DCLAST, 7FFEDEE8
.SET SYS$DCLCMH, 7FFEE0A0
.SET SYS$DCLEVT, 7FFEE388
.SET SYS$DCLEXH, 7FFEDEF0
.SET SYS$DCLRNH, 7FFEE520
.SET SYS$DCLRUH, 7FFEE648
.SET SYS$DECLARE_RM, 7FFEE6E8
.SET SYS$DECLARE_RMW, 7FFEE740
.SET SYS$DELETE, 7FFEE168
.SET SYS$DELETE_BUFOBJ, 7FFEE558
.SET SYS$DELLNM, 7FFEE488
.SET SYS$DELLOG, 7FFEDEF8
.SET SYS$DELMBX, 7FFEDF00
.SET SYS$DELPRC, 7FFEDF08
.SET SYS$DELTVA, 7FFEDF10
.SET SYS$DEQ, 7FFEE3C8
.SET SYS$DERLMB, 7FFEE0B8
.SET SYS$DEVICE_SCAN, 7FFEE518
.SET SYS$DGBLSC, 7FFEDF18
.SET SYS$DIAGNOSE, 7FFEE560
.SET SYS$DISABLE_VP_USE, 7FFEE7B0
.SET SYS$DISABLE_VP_USE_INT, 7FFEE7B8
.SET SYS$DISCONNECT, 7FFEE1D0
.SET SYS$DISPLAY, 7FFEE1D8
.SET SYS$DLCDNP, 7FFEDF20
.SET SYS$DLCEFC, 7FFEDF28
.SET SYS$DNS, 7FFEE5A0
.SET SYS$DNSW, 7FFEE5A8
.SET SYS$EMAA, 7FFEE790
.SET SYS$ENABLE_VP_USE, 7FFEE7A0
.SET SYS$ENABLE_VP_USE_INT, 7FFEE7A8
.SET SYS$END_BRANCH, 7FFEE5B0
.SET SYS$END_BRANCHW, 7FFEE5B8
.SET SYS$END_BRANCHW_2, 7FFEE5C0
.SET SYS$END_RU, 7FFEE678
.SET SYS$END_RU_2, 7FFEE680
.SET SYS$END_TRANS, 7FFEE6D8
.SET SYS$END_TRANSW, 7FFEE730
.SET SYS$ENQ, 7FFEE3C0
.SET SYS$ENQW, 7FFEE3D0
.SET SYS$ENQW_2, 7FFEE3D8
.SET SYS$ENQW_3, 7FFEE3E0
.SET SYS$ENTER, 7FFEE228
.SET SYS$ERAPAT, 7FFEE470
.SET SYS$ERASE, 7FFEE1E0
.SET SYS$EVDPOSTEVENT, 7FFEE798
.SET SYS$EXCMSG, 7FFEE0E8
.SET SYS$EXIT, 7FFEDF40
.SET SYS$EXPREG, 7FFEDF48
.SET SYS$EXTEND, 7FFEE1E8
.SET SYS$EXTRNH, 7FFEE530
.SET SYS$FAO, 7FFEDF50
.SET SYS$FAOL, 7FFEDF58
.SET SYS$FILESCAN, 7FFEE278
.SET SYS$FIND, 7FFEE170
.SET SYS$FINISH_RDB, 7FFEE4B8
.SET SYS$FINISH_RMOP, 7FFEE700
.SET SYS$FINISH_RMOPW, 7FFEE758
.SET SYS$FLUSH, 7FFEE1F0
.SET SYS$FORCEX, 7FFEDF60
.SET SYS$FORGET_RM, 7FFEE6F0
.SET SYS$FORGET_RMW, 7FFEE748
.SET SYS$FORGE_WORD, 7FFEE900
.SET SYS$FREE, 7FFEE178
.SET SYS$GET, 7FFEE180
.SET SYS$GETCHN, 7FFEE0C8
.SET SYS$GETDEV, 7FFEE0D0
.SET SYS$GETDVI, 7FFEE410
.SET SYS$GETDVIW, 7FFEE418
.SET SYS$GETEVI, 7FFEE3B8
.SET SYS$GETJPI, 7FFEE0D8
.SET SYS$GETJPIW, 7FFEE420
.SET SYS$GETJPIW_2, 7FFEE428
.SET SYS$GETLKI, 7FFEE498
.SET SYS$GETLKIW, 7FFEE4A0
.SET SYS$GETLKIW_2, 7FFEE4A8
.SET SYS$GETLUI, 7FFEE690
.SET SYS$GETMSG, 7FFEE0B0
.SET SYS$GETPTI, 7FFEDEA8
.SET SYS$GETQUI, 7FFEE4F8
.SET SYS$GETQUIW, 7FFEE500
.SET SYS$GETQUIW_2, 7FFEE508
.SET SYS$GETSECI, 7FFEE6B8
.SET SYS$GETSYI, 7FFEE3F8
.SET SYS$GETSYIW, 7FFEE430
.SET SYS$GETTIM, 7FFEDF78
.SET SYS$GETUTC, 7FFEE578
.SET SYS$GET_DEFAULT_TRANS, 7FFEE858
.SET SYS$GET_RUID, 7FFEE670
.SET SYS$GET_SECURITY, 7FFEE8F0
.SET SYS$GL_ASTRET, 7FFEE110
.SET SYS$GL_COMMON, 7FFEE114
.SET SYS$GRANTID, 7FFEE4D0
.SET SYS$GRANT_LICENSE, 7FFEE698
.SET SYS$HASH_PASSWORD, 7FFEE538
.SET SYS$HIBER, 7FFEDF88
.SET SYS$IDTOASC, 7FFEE4C0
.SET SYS$IMGACT, 7FFEDF90
.SET SYS$IMGFIX, 7FFEE400
.SET SYS$IMGFIX_2, 7FFEE408
.SET SYS$IMGSTA, 7FFEDF68
.SET SYS$IPC, 7FFEE6C8
.SET SYS$IPCW, 7FFEE770
.SET SYS$IPCW_2, 7FFEE778
.SET SYS$IPCW_3, 7FFEE780
.SET SYS$JOIN_RM, 7FFEE6F8
.SET SYS$JOIN_RMW, 7FFEE750
.SET SYS$JOIN_RU, 7FFEE658
.SET SYS$LCKPAG, 7FFEDF98
.SET SYS$LKWSET, 7FFEDFA0
.SET SYS$LOOKUP_LICENSE, 7FFEE6C0
.SET SYS$MAKE_REF, 7FFEE540
.SET SYS$MGBLSC, 7FFEDFA8
.SET SYS$MODIFY, 7FFEE1F8
.SET SYS$MTACCESS, 7FFEE688
.SET SYS$NETWORK_LOGIN, 7FFEE828
.SET SYS$NUMTIM, 7FFEDFB8
.SET SYS$NUMUTC, 7FFEE580
.SET SYS$NXTVOL, 7FFEE200
.SET SYS$OPEN, 7FFEE208
.SET SYS$PARSE, 7FFEE230
.SET SYS$POSIX_FORK_CONTROL, 7FFEE5E0
.SET SYS$POSIX_IOSERVICE, 7FFEE5D8
.SET SYS$POSIX_SERVICE, 7FFEE5D0
.SET SYS$POSIX_UMSERVICE, 7FFEE5F0
.SET SYS$PRCTERM, 7FFEE818
.SET SYS$PREPARE_RU, 7FFEE630
.SET SYS$PROCESS_SCAN, 7FFEE510
.SET SYS$PURGWS, 7FFEDFB0
.SET SYS$PUT, 7FFEE188
.SET SYS$PUTMSG, 7FFEE0E0
.SET SYS$QIO, 7FFEDFC8
.SET SYS$QIOW, 7FFEDE00
.SET SYS$QIOW_2, 7FFEDE08
.SET SYS$QIOW_3, 7FFEDE10
.SET SYS$READ, 7FFEE190
.SET SYS$READEF, 7FFEDFD0
.SET SYS$RECOVER, 7FFEE860
.SET SYS$RECOVERW, 7FFEE868
.SET SYS$RECOVERW_1, 7FFEE870
.SET SYS$RELEASE, 7FFEE198
.SET SYS$RELEASE_LICENSE, 7FFEE6A0
.SET SYS$RELEASE_VP, 7FFEE7C0
.SET SYS$RELEASE_VP_INT, 7FFEE7C8
.SET SYS$REMOVE, 7FFEE238
.SET SYS$REMOVE_REF, 7FFEE548
.SET SYS$RENAME, 7FFEE240
.SET SYS$REPORT_EVENT, 7FFEE808
.SET SYS$RESCHED, 7FFEE6B0
.SET SYS$RESTORE_VP_EXCEPTION, 7FFEE7D0
.SET SYS$RESTORE_VP_EXC_INT, 7FFEE7D8
.SET SYS$RESTORE_VP_STATE, 7FFEE7F0
.SET SYS$RESUME, 7FFEDFD8
.SET SYS$REVOKID, 7FFEE4D8
.SET SYS$REWIND, 7FFEE210
.SET SYS$RMSRUNDWN, 7FFEE268
.SET SYS$RUNDOWN_RU, 7FFEE668
.SET SYS$RUNDWN, 7FFEDFE0
.SET SYS$SAVE_VP_EXCEPTION, 7FFEE7E0
.SET SYS$SAVE_VP_EXC_INT, 7FFEE7E8
.SET SYS$SCHDWK, 7FFEDFF0
.SET SYS$SCHED, 7FFEE7F8
.SET SYS$SEARCH, 7FFEE248
.SET SYS$SETAST, 7FFEDFF8
.SET SYS$SETCLUEVT, 7FFEE810
.SET SYS$SETDDIR, 7FFEE250
.SET SYS$SETDFPROT, 7FFEE258
.SET SYS$SETEF, 7FFEE000
.SET SYS$SETEVTAST, 7FFEE390
.SET SYS$SETEVTASTW, 7FFEE398
.SET SYS$SETEVTASTW_2, 7FFEE3A0
.SET SYS$SETEVTASTW_3, 7FFEE3A8
.SET SYS$SETEXV, 7FFEE008
.SET SYS$SETIME, 7FFEE0F8
.SET SYS$SETIMR, 7FFEE020
.SET SYS$SETPFM, 7FFEE0A8
.SET SYS$SETPRA, 7FFEE018
.SET SYS$SETPRI, 7FFEE028
.SET SYS$SETPRN, 7FFEE010
.SET SYS$SETPRT, 7FFEE030
.SET SYS$SETPRV, 7FFEE100
.SET SYS$SETRWM, 7FFEE038
.SET SYS$SETSFM, 7FFEE040
.SET SYS$SETSHLV, 7FFEE908
.SET SYS$SETSSF, 7FFEE3E8
.SET SYS$SETSTK, 7FFEE3F0
.SET SYS$SETSWM, 7FFEE048
.SET SYS$SET_DEFAULT_TRANS, 7FFEE878
.SET SYS$SET_DEFAULT_TRANSW, 7FFEE880
.SET SYS$SET_DEF_TRAN_DUMMY, 7FFEE888
.SET SYS$SET_RESOURCE_DOMAIN, 7FFEE8F8
.SET SYS$SET_SECURITY, 7FFEE8E8
.SET SYS$SIGPRC, 7FFEE6A8
.SET SYS$SNDACC, 7FFEE0F0
.SET SYS$SNDERR, 7FFEDF38
.SET SYS$SNDJBC, 7FFEDF70
.SET SYS$SNDJBCW, 7FFEE438
.SET SYS$SNDOPR, 7FFEDFC0
.SET SYS$SNDSMB, 7FFEDFE8
.SET SYS$SPACE, 7FFEE218
.SET SYS$SPARE_VECTOR_1, 7FFEE270
.SET SYS$SRCHANDLER, 7FFEE118
.SET SYS$SSVEXC, 7FFEE260
.SET SYS$SS_VECTOR_DUMMY_3_1, 7FFEE5C8
.SET SYS$SS_VECTOR_DUMMY_3_10, 7FFEE610
.SET SYS$SS_VECTOR_DUMMY_3_11, 7FFEE618
.SET SYS$SS_VECTOR_DUMMY_3_12, 7FFEE620
.SET SYS$SS_VECTOR_DUMMY_3_8, 7FFEE600
.SET SYS$SS_VECTOR_DUMMY_3_9, 7FFEE608
.SET SYS$SS_VECTOR_SPARE, 7FFEE918
.SET SYS$START_BRANCH, 7FFEE710
.SET SYS$START_BRANCHW, 7FFEE768
.SET SYS$START_RU, 7FFEE628
.SET SYS$START_TRANS, 7FFEE6D0
.SET SYS$START_TRANSW, 7FFEE718
.SET SYS$START_TRANSW_2, 7FFEE720
.SET SYS$START_TRANSW_3, 7FFEE728
.SET SYS$SUBSYSTEM, 7FFEE598
.SET SYS$SUSPND, 7FFEE050
.SET SYS$SYNCH, 7FFEE440
.SET SYS$SYNCH_INT, 7FFEE910
.SET SYS$TIMCON, 7FFEE570
.SET SYS$TRANS_EVENT, 7FFEE890
.SET SYS$TRANS_EVENTW, 7FFEE898
.SET SYS$TRANS_EVENTW_1, 7FFEE8A0
.SET SYS$TRNLNM, 7FFEE490
.SET SYS$TRNLOG, 7FFEE058
.SET SYS$TRUNCATE, 7FFEE220
.SET SYS$TSTCLUEVT, 7FFEE830
.SET SYS$ULKPAG, 7FFEE060
.SET SYS$ULWSET, 7FFEE068
.SET SYS$UNJOIN_RU, 7FFEE660
.SET SYS$UNWIND, 7FFEE070
.SET SYS$UPDATE, 7FFEE1A0
.SET SYS$UPDSEC, 7FFEDF30
.SET SYS$UPDSECW, 7FFEDF80
.SET SYS$WAIT, 7FFEE1A8
.SET SYS$WAITFR, 7FFEE078
.SET SYS$WAIT_FORM, 7FFEE120
.SET SYS$WAKE, 7FFEE080
.SET SYS$WFLAND, 7FFEE088
.SET SYS$WFLOR, 7FFEE090
.SET SYS$WRITE, 7FFEE1B0
